Name:		hexedit
Summary:	View and edit files in hexadecimal or in ASCII
Version:	1.5
Release:	%mkrel 1
License:	GPLv2
Group:		Editors
URL:		http://rigaux.org/hexedit.html
Source:		https://github.com/pixel/hexedit/archive/%{version}/%{name}-%{version}.tar.gz
Patch50:	hexedit-ncursesw.patch
BuildRequires:	pkgconfig(ncursesw)

%description
hexedit shows a file both in ASCII and in hexadecimal. The file can be a device
as the file is read a piece at a time. You can modify the file and search
through it.

%prep

%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%doc COPYING
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Sat Aug 29 2020 daviddavid <daviddavid> 1.5-1.mga8
+ Revision: 1619491
- new version: 1.5
- remove merged upstream patches

* Fri Feb 14 2020 umeabot <umeabot> 1.4.2-4.mga8
+ Revision: 1520574
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 01 2018 wally <wally> 1.4.2-3.mga7
+ Revision: 1337083
- add fixes from upstream
- add patch to build with ncursesw

* Sun Sep 23 2018 umeabot <umeabot> 1.4.2-2.mga7
+ Revision: 1298188
- Mageia 7 Mass Rebuild

* Sat Dec 23 2017 mjack <mjack> 1.4.2-1.mga7
+ Revision: 1184359
- Updated to version 1.4.2
- Changed source url
- Removed already applied patch
- Revamped %%build, %%install, %%file section

* Sat Feb 06 2016 umeabot <umeabot> 1.2.13-6.mga6
+ Revision: 941260
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.13-5.mga5
+ Revision: 740952
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.13-4.mga5
+ Revision: 726462
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.13-3.mga5
+ Revision: 680118
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.13-2.mga4
+ Revision: 523266
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 luigiwalser <luigiwalser> 1.2.13-1.mga3
+ Revision: 406907
- 1.2.13
- fix source URLs
- add patch0 from fedora to fix debuginfo (do not strip in install)

* Sat Jan 12 2013 umeabot <umeabot> 1.2.12-9.mga3
+ Revision: 353182
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 24 2011 ennael <ennael> 1.2.12-8.mga1
+ Revision: 58784
- imported package hexedit


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-8mdv2011.0
+ Revision: 605855
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-7mdv2010.1
+ Revision: 520117
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.12-6mdv2010.0
+ Revision: 425143
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.12-5mdv2009.1
+ Revision: 316760
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.2.12-4mdv2009.0
+ Revision: 221152
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 1.2.12-3mdv2008.1
+ Revision: 150254
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Fri Jan 12 2007 Pixel <pixel@mandriva.com> 1.2.12-2mdv2007.1
+ Revision: 108021
- use mkrel
- Import hexedit

* Fri Sep 23 2005 Pixel <pixel@mandriva.com> 1.2.12-1mdk
- new release

* Wed Sep 21 2005 Pixel <pixel@mandriva.com> 1.2.11-1mdk
- new release

* Wed Aug 04 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.10-1mdk
- New release 1.2.10

* Mon Mar 15 2004 Pixel <pixel@mandrakesoft.com> 1.2.9-1mdk
- new release (brown paper bag version)
  - fix searching larger than 3 characters long strings

* Tue Jan 20 2004 Pixel <pixel@mandrakesoft.com> 1.2.8-1mdk
- new release
  - replace the unsafe getstr() with getnstr() (thanks to Richard Chadderton)

